package com.its.vms.process;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class DbmsDataAsyncTask {

    @Async("dbmsDataExecutor")
    public void run(DbmsDataProcess process, DbmsData data) {
        process.runJob(data);
    }

}
